function postsListDiscriminator(params) {
  return {
    query: params.query !== void 0 && params.query.trim() === "" ? void 0 : params.query,
    limit: params.limit ?? 10,
    published: params.published,
    tagSlug: params.tagSlug
  };
}
const BLOG_QUERY_KEYS = {
  postsList: (params) => ["posts", "list", postsListDiscriminator(params)],
  postDetail: (slug) => ["posts", "detail", slug],
  tagsList: () => ["tags", "list", "tags"]
};

export { BLOG_QUERY_KEYS, postsListDiscriminator };
